Bug 133536 - memory access error in libaudit.c
memory access error in libaudit.c
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: audit (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Grubb
:
Depends On:
Blocks: FC3Target FC4Target
  Show dependency treegraph
 
Reported: 2004-09-24 13:41 EDT by Charlie Bennett
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 0.5.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-06 17:01:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Charlie Bennett 2004-09-24 13:41:28 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.3)
Gecko/20040803

Description of problem:
From ArjanV:

libaudit.c aroundline 323 has this code:
struct audit_rule *audit_rule_alloc(void)
{
    struct audit_rule *rule;
                                                                     
                                                      
    if (!(rule = malloc(sizeof(rule)))) return NULL;
    memset(rule, 0, sizeof(*rule));
    return rule;
}

the sizeof is missing a * here leading to the memset overfowing the just
malloc'd buffer.... sounds likesomething that should get fixed eventually


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:

What he said

Additional info:
Comment 1 Steve Grubb 2004-12-06 17:01:39 EST
This was fixed in 0.5.1 a couple weeks ago. This bug report can be 
closed. 

Note You need to log in before you can comment on or make changes to this bug.